org.apache.storm.trident.operation.builtin

## Class Min

- java.lang.Object
- - org.apache.storm.trident.operation.BaseOperation
  - - org.apache.storm.trident.operation.BaseAggregator<ComparisonAggregator.State>
    - - org.apache.storm.trident.operation.builtin.ComparisonAggregator<Comparable<Object>>
      - - org.apache.storm.trident.operation.builtin.Min

- All Implemented Interfaces:
    Serializable, Aggregator<ComparisonAggregator.State>, Operation

      public class Min
      extends ComparisonAggregator<Comparable<Object>>

  This aggregator computes the minimum of aggregated tuples in a stream. It assumes that the tuple has one value and it is an instance of `Comparable`.

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.storm.trident.operation.builtin.ComparisonAggregator

      `ComparisonAggregator.State`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Min(String inputFieldName)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected Comparable<Object>` | `compare(Comparable<Object> value1, Comparable<Object> value2)`

    - ### Methods inherited from class org.apache.storm.trident.operation.builtin.ComparisonAggregator

      `aggregate, complete, init, valueFromTuple`

    - ### Methods inherited from class org.apache.storm.trident.operation.BaseOperation

      `cleanup, prepare`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.storm.trident.operation.Operation

      `cleanup, prepare`

- - ### Constructor Detail

    - #### Min

          public Min(String inputFieldName)

  - ### Method Detail

    - #### compare

          protected Comparable<Object> compare(Comparable<Object> value1,
                                               Comparable<Object> value2)

      Specified by:
        `compare` in class `ComparisonAggregator<Comparable<Object>>`

Copyright © 2021 The Apache Software Foundation. All rights reserved.